Debian Bug report logs - #637784
Please support installing on partitionless drives.

Package: partman-base; Maintainer for partman-base is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-base is src:partman-base.

Reported by: Charles Plessy <plessy@debian.org>

Date: Sun, 14 Aug 2011 12:48:01 UTC

Severity: wishlist

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#637784; Package installation-reports. (Sun, 14 Aug 2011 12:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Debian Install Team <debian-boot@lists.debian.org>. (Sun, 14 Aug 2011 12:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: Partition disks error: No root file system is defined.
Date: Sun, 14 Aug 2011 21:45:11 +0900
[Message part 1 (text/plain, inline)]
Package: installation-reports
Severity: normal



-- Package-specific info:

Boot method: network
Image version: 20110106+squeeze3
Date: Sun, 14 Aug 2011 21:32:45 +0900

Machine: Amazon EC2 t1.micro instance.
Partitions: 
Path: /dev/xvda1
Sector size: 512
Sectors: 2097152
Sectors/track: 63
Heads: 255
Cylinders: 130
Partition table: yes
Type: msdos
Partitions: #	id	length	type	fs	path	name
(0,0,0)	(0,0,62)	-1	0-32255	32256	primary	label	/dev/xvda1p-1	
(0,1,0)	(129,254,62)	1	32256-1069286399	1069254144	primary	ext2	/dev/xvda1p1	
(130,0,0)	(130,138,7)	-1	1069286400-1073741823	4455424	pri/log	free	/dev/xvda1p-1	


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [ ]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [E]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [E]

Comments/Problems:

I started the network installer through GRUB in the Amazon Elastic Comptuter
Cloud, and connected to it through a network console launched via preseeding.

I gave a couple of details on my website: http://charles.plessy.org/Debian/debiâneries/nuage/

While the detection of hard drives apparently went well (see attached
partman log), the partition step fails with the following error.


          ┌────────────┤ [!!] Partition disks ├─────────────┐
          │                                                 │ 
          │               No root file system               │ 
          │ No root file system is defined.                 │ 
          │                                                 │ 
          │ Please correct this from the partitioning menu. │ 
          │                                                 │ 
          │                   <Continue>                    │ 
          │                                                 │ 
          └─────────────────────────────────────────────────┘ 
           
Despite being in expert mode with ‘low’ Debconf priority, the above is
the only thing I get at the Partition disks step.  I need to press Escape
to return to the main menu, as otherwise it loops.

I tried to format the virtual drive on its first partition or without
partitionning, but it did not make a difference.

Do you have any idea ?

By the way, this is the first time I made such an advanced usage of the installer
and I must say that I am very impressed.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan
[partman.gz (application/x-gzip, attachment)]
[preseed.txt.gz (application/x-gzip, attachment)]
[hardware-summary.gz (application/x-gzip, attachment)]
[syslog.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#637784; Package installation-reports. (Sat, 20 Aug 2011 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 20 Aug 2011 09:30:07 GMT) Full text and rfc822 format available.

Message #10 received at 637784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 637784@bugs.debian.org
Subject: Re: installation-reports: Partition disks error: No root file system is defined.
Date: Sat, 20 Aug 2011 18:26:45 +0900
Le Sun, Aug 14, 2011 at 09:45:11PM +0900, Charles Plessy a écrit :
> 
> I started the network installer through GRUB in the Amazon Elastic Comptuter
> Cloud, and connected to it through a network console launched via preseeding.
> 
> I gave a couple of details on my website: http://charles.plessy.org/Debian/debiâneries/nuage/
> 
> While the detection of hard drives apparently went well (see attached
> partman log), the partition step fails with the following error.
> 
> 
>           ┌────────────┤ [!!] Partition disks ├─────────────┐
>           │                                                 │ 
>           │               No root file system               │ 
>           │ No root file system is defined.                 │ 
>           │                                                 │ 
>           │ Please correct this from the partitioning menu. │ 
>           │                                                 │ 
>           │                   <Continue>                    │ 
>           │                                                 │ 
>           └─────────────────────────────────────────────────┘ 

Hi all,

I have retried after commenting all partman preseeding.  It allowed me to try
to manually partition the drive.  I have only one choice for the drive,
‘Virtual disk 1, partition #1 (xvda1) - 1.1 GB Unknown’.  The guided
partitionning then proposes me the following:

 ┌───────────────────────────────────────────────┤ [!!] Partition disks ├───────────────────────────────────────────────┐
 │                                                                                                                      │ 
 │ If you continue, the changes listed below will be written to the disks. Otherwise, you will be able to make further  │ 
 │ changes manually.                                                                                                    │ 
 │                                                                                                                      │ 
 │ The partition tables of the following devices are changed:                                                           │ 
 │    Virtual disk 1, partition #1 (xvda1)                                                                              │ 
 │                                                                                                                      │ 
 │ The following partitions are going to be formatted:                                                                  │ 
 │    partition #1 of Virtual disk 1, partition #1 (xvda1) as ext3                                                      │ 
 │    partition #5 of Virtual disk 1, partition #1 (xvda1) as swap                                                      │ 
 │                                                                                                                      │ 
 │ Write the changes to disks?                                                                                          │ 
 │                                                                                                                      │ 
 │     <Yes>                                                                                                   <No>     │ 
 │                                                                                                                      │ 
 └──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────┘ 

I then fails with the following error:

  Error informing the kernel about modifications to partition /dev/xvda1p1 --
  Invalid argument.  This means Linux won't know about any changes you made to
  /dev/xvda1p1 until you reboot -- so you shouldn't mount it or use it in any way
  before rebooting.
                                                                                               
Using the shell console, I found that the partition table was the following:

  Disk /dev/xvda1: 1073 MB, 1073741824 bytes
  255 heads, 63 sectors/track, 130 cylinders
  Units = cylinders of 16065 * 512 = 8225280 bytes
  Sector size (logical/physical): 512 bytes / 512 bytes
  I/O size (minimum/optimal): 512 bytes / 512 bytes
  Disk identifier: 0x0002dcf2
  
      Device Boot      Start         End      Blocks   Id  System
  /dev/xvda1p1   *           1         118      947803+  83  Linux
  /dev/xvda1p2             119         130       96390    5  Extended
  /dev/xvda1p5             119         130       96358+  82  Linux swap / Solaris

However, the device files /dev/xvda1p1, p2 and p5 are not available.  Do you have any idea ?

Have a nice week-end,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#637784; Package installation-reports. (Sat, 10 Sep 2011 13:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 10 Sep 2011 13:42:07 GMT) Full text and rfc822 format available.

Message #15 received at 637784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 637784@bugs.debian.org
Subject: Re: installation-reports: Partition disks error: No root file system is defined.
Date: Sat, 10 Sep 2011 22:38:48 +0900
Le Sat, Aug 20, 2011 at 06:26:45PM +0900, Charles Plessy a écrit :
>                                                                                                
> Using the shell console, I found that the partition table was the following:
> 
>   Disk /dev/xvda1: 1073 MB, 1073741824 bytes
>   255 heads, 63 sectors/track, 130 cylinders
>   Units = cylinders of 16065 * 512 = 8225280 bytes
>   Sector size (logical/physical): 512 bytes / 512 bytes
>   I/O size (minimum/optimal): 512 bytes / 512 bytes
>   Disk identifier: 0x0002dcf2
>   
>       Device Boot      Start         End      Blocks   Id  System
>   /dev/xvda1p1   *           1         118      947803+  83  Linux
>   /dev/xvda1p2             119         130       96390    5  Extended
>   /dev/xvda1p5             119         130       96358+  82  Linux swap / Solaris
> 
> However, the device files /dev/xvda1p1, p2 and p5 are not available.  Do you have any idea ?

Dear all,

I hope that I am not too bothering with my insistance, but I am completely
blocked on this issue, and I would like to ask again for your help, as
I think that it would be beneficial to Debian as well if it were possible
to use the Debian installer on the Amazon Elastic Computer Cloud.  Please
let me know how I can help the D-I team in return.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#637784; Package installation-reports. (Sun, 12 Feb 2012 07:42:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 12 Feb 2012 07:42:27 GMT) Full text and rfc822 format available.

Message #20 received at 637784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 637784@bugs.debian.org
Subject: Re: Bug#637784: installation-reports: Partition disks error: No root file system is defined.
Date: Sun, 12 Feb 2012 16:40:38 +0900
Le Sat, Aug 20, 2011 at 06:26:45PM +0900, Charles Plessy a écrit :
> 
> I then fails with the following error:
> 
>   Error informing the kernel about modifications to partition /dev/xvda1p1 --
>   Invalid argument.  This means Linux won't know about any changes you made to
>   /dev/xvda1p1 until you reboot -- so you shouldn't mount it or use it in any way
>   before rebooting.
>                                                                                                
> Using the shell console, I found that the partition table was the following:
> 
>   Disk /dev/xvda1: 1073 MB, 1073741824 bytes
>   255 heads, 63 sectors/track, 130 cylinders
>   Units = cylinders of 16065 * 512 = 8225280 bytes
>   Sector size (logical/physical): 512 bytes / 512 bytes
>   I/O size (minimum/optimal): 512 bytes / 512 bytes
>   Disk identifier: 0x0002dcf2
>   
>       Device Boot      Start         End      Blocks   Id  System
>   /dev/xvda1p1   *           1         118      947803+  83  Linux
>   /dev/xvda1p2             119         130       96390    5  Extended
>   /dev/xvda1p5             119         130       96358+  82  Linux swap / Solaris
> 
> However, the device files /dev/xvda1p1, p2 and p5 are not available.  Do you have any idea ?
> 

Dear all,

I have tested today's build of Debian-Installer, and the bug is still there.

To summarise:

 - On that machine, the drive's name is /dev/xvda1.
 - Partman handles this by making partitions called /dev/xvda1p1 /dev/xvda1p2 /dev/xvda1p5
 - The installation then fails as there are no such devices.

Have a nice Sunday,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#637784; Package installation-reports. (Mon, 13 Feb 2012 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 13 Feb 2012 01:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 637784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 637784@bugs.debian.org
Subject: Re: Bug#637784: installation-reports: Partition disks error: No root file system is defined.
Date: Mon, 13 Feb 2012 10:06:06 +0900
Le Sun, Feb 12, 2012 at 04:40:38PM +0900, Charles Plessy a écrit :
> Le Sat, Aug 20, 2011 at 06:26:45PM +0900, Charles Plessy a écrit :
> > 
> > Using the shell console, I found that the partition table was the following:
> > 
> >   Disk /dev/xvda1: 1073 MB, 1073741824 bytes
> >   255 heads, 63 sectors/track, 130 cylinders
> >   Units = cylinders of 16065 * 512 = 8225280 bytes
> >   Sector size (logical/physical): 512 bytes / 512 bytes
> >   I/O size (minimum/optimal): 512 bytes / 512 bytes
> >   Disk identifier: 0x0002dcf2
> >   
> >       Device Boot      Start         End      Blocks   Id  System
> >   /dev/xvda1p1   *           1         118      947803+  83  Linux
> >   /dev/xvda1p2             119         130       96390    5  Extended
> >   /dev/xvda1p5             119         130       96358+  82  Linux swap / Solaris
> > 
> > However, the device files /dev/xvda1p1, p2 and p5 are not available.  Do you have any idea ?
> 
> I have tested today's build of Debian-Installer, and the bug is still there.
> 
> To summarise:
> 
>  - On that machine, the drive's name is /dev/xvda1.
>  - Partman handles this by making partitions called /dev/xvda1p1 /dev/xvda1p2 /dev/xvda1p5
>  - The installation then fails as there are no such devices.

Hi again,

I tried to modify the partition table by hand using fdisk, and after writing it
I see the following error message.

  WARNING: Re-reading the partition table failed with error 22: Invalid argument.
  The kernel still uses the old table. The new table will be used at
  the next reboot or after you run partprobe(8) or kpartx(8)
  Syncing disks.

So the scenario is:

  - Partman partitions the disk,
  - the kernel is not informed of the changes,
  - udev does not create new links in /dev,
  - formatting and installation are impossible.

Do you think that this bug should be re-assigned somewhere else ?

Have a nice day,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#637784; Package installation-reports. (Sun, 01 Apr 2012 00:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 01 Apr 2012 00:57:09 GMT) Full text and rfc822 format available.

Message #30 received at 637784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 637784@bugs.debian.org
Subject: Re: Bug#637784: installation-reports: Partition disks error: No root file system is defined.
Date: Sun, 1 Apr 2012 09:55:53 +0900
Le Mon, Feb 13, 2012 at 10:06:06AM +0900, Charles Plessy a écrit :
> Le Sun, Feb 12, 2012 at 04:40:38PM +0900, Charles Plessy a écrit :
> > Le Sat, Aug 20, 2011 at 06:26:45PM +0900, Charles Plessy a écrit :
> > > 
> > > Using the shell console, I found that the partition table was the following:
> > > 
> > >   Disk /dev/xvda1: 1073 MB, 1073741824 bytes
> > >   255 heads, 63 sectors/track, 130 cylinders
> > >   Units = cylinders of 16065 * 512 = 8225280 bytes
> > >   Sector size (logical/physical): 512 bytes / 512 bytes
> > >   I/O size (minimum/optimal): 512 bytes / 512 bytes
> > >   Disk identifier: 0x0002dcf2
> > >   
> > >       Device Boot      Start         End      Blocks   Id  System
> > >   /dev/xvda1p1   *           1         118      947803+  83  Linux
> > >   /dev/xvda1p2             119         130       96390    5  Extended
> > >   /dev/xvda1p5             119         130       96358+  82  Linux swap / Solaris
> > > 
> > > However, the device files /dev/xvda1p1, p2 and p5 are not available.  Do you have any idea ?
> 
> I tried to modify the partition table by hand using fdisk, and after writing it
> I see the following error message.
> 
>   WARNING: Re-reading the partition table failed with error 22: Invalid argument.
>   The kernel still uses the old table. The new table will be used at
>   the next reboot or after you run partprobe(8) or kpartx(8)
>   Syncing disks.
> 
> So the scenario is:
> 
>   - Partman partitions the disk,
>   - the kernel is not informed of the changes,
>   - udev does not create new links in /dev,
>   - formatting and installation are impossible.

Hello again,

it looks like /dev/xvda1, where the Xen system is booted, is a special case and
that in contrary to the other devices, like /dev/xvdb, etc., it can not be
modified.

The problem is therefore that part of the toolchain does not recognise in
advance that it is impossible.

Do you think that partman can or should obtain this information by itself, or
that this bug should be reassigned to another package, which would be in charge
of issuing an error message that partman can understand, to make sure that
debian-installer does not assume that the disk has been partitionned
successfully ? 

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Wed, 17 Jul 2013 10:18:17 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Wed, 17 Jul 2013 10:18:17 GMT) Full text and rfc822 format available.

Message #35 received at 637784-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: control@bugs.debian.org, 587503-done@bugs.debian.org, 593998-done@bugs.debian.org, 684309-done@bugs.debian.org, 699136-done@bugs.debian.org, 692941-done@bugs.debian.org, 688869-done@bugs.debian.org, 684097-done@bugs.debian.org, 637784-done@bugs.debian.org, 598394-done@bugs.debian.org, 593545-done@bugs.debian.org, 593054-done@bugs.debian.org, 584297-done@bugs.debian.org, 563678-done@bugs.debian.org, 553482-done@bugs.debian.org, 547895-done@bugs.debian.org, 514643-done@bugs.debian.org, 511842-done@bugs.debian.org, 539522-done@bugs.debian.org
Subject: dealing with old partman related bugs
Date: Wed, 17 Jul 2013 11:38:31 +0200
[Message part 1 (text/plain, inline)]
reassign 693107 partman-auto
reassign 670702 partman-auto
reassign 615074 lvm2
reassign 676172 partman
severity 691046 wishlist
retitle 644430 document the need for a bios boot partition when using GPT
forcemerge 644430 691046 
reassign 691046 release-notes
reassign 683747 partman-lvm
reassign 671879 partman-base
thanks

Hi,

thank you for submitting installation reports, much appreciated.

I read through all the ("partman" related) bugs mentioned here and am closing 
them now as
- they (finally) indicated success and/or
- I know from first hand experience that the functionality is working in 
Wheezy and/or
- they only contained very little information and/or
- they were (very) old.

If I've closed a bug incorrectly please do reply or just file a new one - 
thats often better, as the bug log will be more clear.


cheers,
        Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#637784; Package installation-reports. (Wed, 17 Jul 2013 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 17 Jul 2013 10:51:04 GMT) Full text and rfc822 format available.

Message #40 received at 637784@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 637784@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Please support installing on partitionless drives.
Date: Wed, 17 Jul 2013 19:47:33 +0900
> Message-Id: <201307171139.02755.holger@layer-acht.org>
> 
> reassign 693107 partman-auto
> reassign 670702 partman-auto
> reassign 615074 lvm2
> reassign 676172 partman
> severity 691046 wishlist
> retitle 644430 document the need for a bios boot partition when using GPT
> forcemerge 644430 691046 
> reassign 691046 release-notes
> reassign 683747 partman-lvm
> reassign 671879 partman-base
> thanks
> 
> Hi,
> 
> thank you for submitting installation reports, much appreciated.
> 
> I read through all the ("partman" related) bugs mentioned here and am closing 
> them now as
> - they (finally) indicated success and/or
> - I know from first hand experience that the functionality is working in 
> Wheezy and/or
> - they only contained very little information and/or
> - they were (very) old.
> 
> If I've closed a bug incorrectly please do reply or just file a new one - 
> thats often better, as the bug log will be more clear.

reopen 637784
reassign 637784 partman
severity 637784 wishlist
retitle 637784 Please support installing on partitionless drives.

Dear Holger and everybody,

I think that it would be great if somebody could extend debian-installer to
install Debian on partitionless drives (like /dev/xvdb instead of /dev/xvdb1).

This would open the possibility to use debian-installer for preparing some
preseeded cloud images in a very simple way.  Currently, this is done with
ad-hoc tools developed from scratch.  Using debian-installer would also
ease the convergence between cloud images and standard installations, which
is wanted (see <http://wiki.debian.org/Teams/DPL/OfficialImages>).

(and please forgive me if partman is not the best package to hold this bug report)

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Bug reopened Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 11:00:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'installation-reports' to 'partman'. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 11:00:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 11:00:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'Please support installing on partitionless drives.' from 'installation-reports: Partition disks error: No root file system is defined.' Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 11:00:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'partman' to 'partman-base'. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 11:09:04 GMT) Full text and rfc822 format available.

Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Sat, 26 Oct 2013 10:39:05 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Sat, 26 Oct 2013 10:39:05 GMT) Full text and rfc822 format available.

Message #55 received at 637784-done@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 637784-done@bugs.debian.org
Subject: Re: Bug#637784: Please support installing on partitionless drives.
Date: Sat, 26 Oct 2013 19:38:03 +0900
Le Wed, Jul 17, 2013 at 07:47:33PM +0900, Charles Plessy a écrit :
> 
> I think that it would be great if somebody could extend debian-installer to
> install Debian on partitionless drives (like /dev/xvdb instead of /dev/xvdb1).
> 
> This would open the possibility to use debian-installer for preparing some
> preseeded cloud images in a very simple way.  Currently, this is done with
> ad-hoc tools developed from scratch.  Using debian-installer would also
> ease the convergence between cloud images and standard installations, which
> is wanted (see <http://wiki.debian.org/Teams/DPL/OfficialImages>).

Dear all,

through the use of the '--root-device-name /dev/sda' option, I can now boot an
image prepared by debian-installer on the first partition of a volume.  I do
not need anymore partitionless installations.

This opens the way to the preparation of "cloud" instances with only
debian-installer and a preseed file, at least on the Amazon Elastic Computer
Cloud.

More on this later on the debian-cloud mailing list.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Nov 2013 07:35:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:59:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.